#!/bin/sh
#
# Package: auto-pilot
# Erez Zadok <ezk@cs.sunysb.edu>
# Copyright (c) 2001-2005 Stony Brook University

source commonsettings || exit $?

set_default SERVICES "vmware sendmail crond anacron lpd xfs ntpd atd gpm xinetd cups nfs hpoj spamassassin privoxy canna FreeWnn atd messagebus rhnsd rcd"
for SERVICE in $SERVICES
do
	if /etc/rc.d/init.d/$SERVICE status >/dev/null 2>/dev/null; then
		/etc/rc.d/init.d/$SERVICE stop || true
	fi
done

LINES=`who | grep '(.*)$' | sed -e's/^.*(\(.*\))$/\1/g' | wc -l`
if [ "$LINES" -eq 0 ] ; then
	if /etc/rc.d/init.d/sshd status >/dev/null 2>/dev/null ; then
		/etc/rc.d/init.d/sshd stop
	fi
fi

# The kernel sometimes oopses when you swapoff -a and there are no swaps
# defined. Bad kernel.
if [ `wc -l < /proc/swaps` != "1"  ] ; then
	ap_action $"Turning off swaps" /sbin/swapoff -a
fi

if [ "$NOLOGIN" != 0 ] ; then
	ap_action $"Creating nologin." touch /etc/nologin
fi

ap_chill_action() {
  STRING=$1
  echo -n "$STRING "
  shift
  local rc=0
  $* || rc=$?
  if [ "$rc" = "137" ] ; then
	rc=0
  fi
  ([ "$rc" = "0" ] && echo_success $"$STRING") || echo_failure $"$STRING"
  echo
  return $rc
}
if [ ! -z "$CHILL" -a "$CHILL" != "0" ] ; then
	ERR=0
	ap_chill_action $"Blowing away caches ... " chill || ERR=$?
fi

echo "All done!"

exit 0
